Skip to content

Use this request to initiate an object user action on multiple records. Maximum 500 records per batch.

POST/api/{version}/vobjects/{object_name}/actions/{action_name}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
object_nameThe object name__v field value.
action_nameEither the name of the Objectaction or Objectlifecyclestateuseraction to initiate. This is obtained from the Retrieve User Actions request. The format for action_name is Objectaction.vobject.action or Objectlifecyclestateuseraction.vobject.state.action.
NameDescription
ids
required
Comma-separated list of object record ids on which to initiate the action.

When providing values for field prompts on a start step, task step, or verdict, required fields cannot be omitted, set as blank, or defaulted to their existing value.

To preserve the existing value of a required field prompt in a workflow on a single record, submit the existing value as the new value.

For a workflow on multiple records, there is no way to preserve existing values in a field if that field is a required prompt. Setting a value for a prompt updates all records to the same single value.

curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "ids: 0MO0771, 0MO0772, 0MO0773" \ https://myvault.veevavault.com/api/v23.1/vobjects/monitoring_event__v/actions/Objectaction.monitoring_event__v.copy_record__v
{ "responseStatus": "SUCCESS", "data": [ { "responseStatus": "SUCCESS", "id": "0MO0771" }, { "responseStatus": "SUCCESS", "id": "0MO0772" }, { "responseStatus": "FAILURE", "id": "0MO0773", "errors": [ { "type": "INSUFFICIENT_ACCESS", "message": "User does not have sufficient privileges to perform the action" } ] } ] }